Subject: AuthenticationManager logout should destroy session explicitly
Description

The session is currently destroyed through a signal emitted on logout (loggedOut). The AuthenticationManager should check if the
session is started at all and should allow signal receivers to inspect the session before destroying it.

Associated revisions
Revision 15e1aa05 - 2012-12-04 12:05 - Christopher Hlubek

[FEATURE] Destroy session explicitly in logout

This change moves the call to Session->destroy() from a signal
to the AuthenticationProviderManager that already has the current
session as a dependency.

The "emitLoggedOut" signal is emitted before the session is
destroyed to allow other slots to inspect the session.

Change-Id: I7f70f930b6060c3ad031ae4278d264681b812036
Releases: 1.2
Resolves: #43575

History
#1 - 2012-12-04 12:41 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16948

#2 - 2012-12-06 14:35 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:15e1aa055fa153e13d57cd181a63f908f2f5525b.
